AppServerPropagatorConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.propagator.AppServerPropagatorConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.propagator
Interface AppServerPropagatorConfiguration

All Superinterfaces:
  Configuration, ModelObject, MonitorConfiguration, PropagatorConfiguration, java.io.Serializable

    public interface AppServerPropagatorConfiguration

extends PropagatorConfiguration

Configuration of a AppServer propagator

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary

Methods inherited from interface com.collation.platform.model.casm.monitor.propagator.PropagatorConfiguration
`getCategory, getContainerPropagation, getDependentPropagation, getLevel, getPropagatorClassName, hasCategory, hasContainerPropagation, hasDependentPropagation, hasLevel, hasPropagatorClassName, setCategory, setContainerPropagation, setDependentPropagation, setLevel, setPropagatorClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD